org.fourthline.cling.support.model

## Class DeviceCapabilities

- java.lang.Object
- - org.fourthline.cling.support.model.DeviceCapabilities

-     public class DeviceCapabilities
      extends Object

  Author:
    Christian Bauer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceCapabilities(Map<String,ActionArgumentValue> args)`
    `DeviceCapabilities(StorageMedium[] playMedia)`
    `DeviceCapabilities(StorageMedium[] playMedia, StorageMedium[] recMedia, RecordQualityMode[] recQualityModes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StorageMedium[]` | `getPlayMedia()`
    `String` | `getPlayMediaString()`
    `StorageMedium[]` | `getRecMedia()`
    `String` | `getRecMediaString()`
    `RecordQualityMode[]` | `getRecQualityModes()`
    `String` | `getRecQualityModesString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeviceCapabilities

          public DeviceCapabilities(Map<String,ActionArgumentValue> args)

    - #### DeviceCapabilities

          public DeviceCapabilities(StorageMedium[] playMedia)

    - #### DeviceCapabilities

          public DeviceCapabilities(StorageMedium[] playMedia,
                                    StorageMedium[] recMedia,
                                    RecordQualityMode[] recQualityModes)

  - ### Method Detail

    - #### getPlayMedia

          public StorageMedium[] getPlayMedia()

    - #### getRecMedia

          public StorageMedium[] getRecMedia()

    - #### getRecQualityModes

          public RecordQualityMode[] getRecQualityModes()

    - #### getPlayMediaString

          public String getPlayMediaString()

    - #### getRecMediaString

          public String getRecMediaString()

    - #### getRecQualityModesString

          public String getRecQualityModesString()

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.